## rustc-1.82 1.82.0+dfsg0ubuntu0~jammy

=== src/llvm-project/lldb/test/API/functionalities/tail_call_frames/sbapi_support/Makefile ===
CXX_SOURCES := main.cpp

CXXFLAGS_EXTRAS := -O2
include Makefile.rules

=== src/llvm-project/lldb/test/API/functionalities/data-formatter/data-formatter-stl/libcxx/ranges/ref_view/Makefile ===
USE_LIBCPP := 1

CXX_SOURCES := main.cpp
CXXFLAGS_EXTRAS := -std=c++20

include Makefile.rules

=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu0~jammy-0ubuntu0.22.04) jammy-security; urgency=medium

  * Backport to Jammy (LP: #2100492)
    - Re-enable libgit2 vendoring:
      - d/copyright: Re-include libgit2 in the list of vendored C libraries
      - d/p/prune/d-0010-cargo-remove-vendored-c-crates.patch: Re-include
        vendored-libgit2 cargo crate feature
      - Re-include vendored libgit2 in source
      - d/control,d/control.in: Remove libgit2-dev and libhttp-parser-dev from
        Build-Depends
    - d/control,d/control.in,d/rules: Disable dh-cargo Build-Depends and
      rules check due to lack of Jammy support
    - d/control,d/control.in,d/rules: Use pkg-config instead of the newer
      pkgconf

 -- Max Gilmour <max.gilmour@canonical.com>  Sat, 21 Jun 2025 11:16:41 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu0-0ubuntu0.24.04) noble-security; urgency=medium

  * Backport to Noble (LP: #2100492)
    - d/control,d/control.in: : Disable clang-19 Build-Depends-Indep due to
      LLVM vendoring

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 20 Jun 2025 12:45:51 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu0-0ubuntu0.24.10) oracular-security; urgency=medium

  * Backport to Oracular (LP: #2100492)
    - Re-enable LLVM vendoring:
      - d/control,d/control.in: Remove LLVM-related dependencies from
        Build-Depends
      - d/copyright: Re-include LLVM in vendored upstream files, add copyright
        stanza for embedded LLVM
      - d/rules: Allow rustbuild to control whether LLVM is compiled with
        debug symbols
      - d/watch: Include +llvm in upstream version
      - d/config.toml.in: Remove LLVM-related lines
    - Downgrade libgit2 to 1.7.2:
      - d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch,d/p/series:
        Remove patch updating libgit2 to version 1.9
      - d/control,d/control.in: Revert libgit2-dev Build-Depends to
        1.7.2
      - d/p/ubuntu/ubuntu-libgit2-downgrade.patch,d/p/series: Revert
        version of libgit2 used to build libgit2-sys to 1.7.2
    - d/rules: Clean stage0/stage1/test artifacts early to save space

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 18 Jun 2025 11:57:44 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:33:36 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.82.0 (LP: #2088229)
  * d/rules: correctly pass the LLVM_PROFILER_RT_LIB variable to Rust build system
  * debian/patches/behaviour/d-rustc-add-soname.patch: patch the new test, the test is detecting this patch negatively
  * debian/patches/build/d-bootstrap-custom-debuginfo-path.patch: don't patch debuginfo test, it works correctly now
  * d/control.in: update to use libgit2 1.8.x
  * d/rules,*.in: upgrade to LLVM 19
  * d/p/ubuntu/ubuntu-fix-simd-test.patch: add a patch to fix SIMD FFI test
  * d/control.in: update vendored dependency list
  * d/{control,s/lintian-overrides}: re-generate files for rustc-1.82
  * d/patches: refresh patches
  * d/patches: remove obsoleted patches
    - upstream/u-add-missing-f16-intrinsics.patch
    - upstream/u-add-f16-f128-handling-in-a-couple-places.patch
    - upstream/Revert-loongarch-add-frecipe-and-relax-target-feature.patch
    - ubuntu/ubuntu-add-s390x-allowed-features.patch
    - upstream/u-disable-f16-f128-on-unsupported-platforms.patch
  * d/copyright: update the list of unused vendored dependencies
  * d/copyright: update copyright information
  * d/s/lintian-overrides: override new false-positives
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch

  [ Fabian Grünbichler ]
  * set LLVM profiler RT path via config
    instead of via the environment, adapting to corresponding upstream changes, and
    adapt the config change-id accordingly.
    Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Nov 2024 15:26:51 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.81.0 (LP: #2080415)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/control: re-generate files for rustc-1.81
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch: downgrade libgit2
      requirements to 1.7
    - d/config.toml.in: update change ID to suppress warnings
    - d/copyright: update copyright information
    - d/s/lintian-overrides.in: add new overrides for test data
    - d/p/upstream/u-limit-f16-doctests-to-x86.patch,
      d/p/vendor/u-hurd-gix-index.patch: remove unneeded patches

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 09 Sep 2024 10:19:09 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/copyright: delete src/tools/rustc-perf we don't need this upstream
      benchmarking facility (not used anywhere)
    - d/control: re-generate files for rustc-1.80
    - d/p/series: remove opener-cherry-pick-fix-to-avoid-vendored-dbus.patch
  * d/p/upstream/u-add-missing-f16-intrinsics.patch,
    d/p/upstream/u-add-f16-f128-handling-in-a-couple-places.patch,
    d/p/upstream/u-limit-f16-doctests-to-x86.patch,
    d/p/upstream/u-disable-f16-f128-on-unsupported-platforms.patch:
    backported patches from upstream to fix compiler crash from LLVM
    mishandling f16 lowering on some platforms
  * d/p/ubuntu/ubuntu-fix-f16-fallback-intrinsics.patch: add a patch to fix
    LLVM misoptimizations

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 08 Aug 2024 08:56:51 -0600

rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.79.0 (LP: #2076205)


=== debian/control ===
Source: rustc-1.82
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 python3:native,
 cargo-1.81 | cargo-1.82 <!pkg.rustc.dlstage0>,
 rustc-1.81 | rustc-1.82 <!pkg.rustc.dlstage0>,
 cmake (>= 3.20) | cmake3 (>= 3.20),
# needed by some vendor crates
 pkgconf,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# used by cargo
 bash-completion,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libsqlite3-dev,
# Required for llvm build
 autotools-dev,
 m4,
 ninja-build,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# Resources loaded from the docs, checked by linkchecker
 libjs-jquery <!nocheck>,
 libjs-highlight.js <!nocheck>,
 libjs-mathjax <!nocheck>,
 fonts-open-sans <!nocheck>,
 fonts-font-awesome <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
 libc6-dbg [armhf],
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 libssl-dev,
Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
Standards-Version: 4.6.2
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# The build regressed back when LTO was systematized in Ubuntu.
# This should be periodically revisited.
export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
RUST_PREV_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)-1}')
RUST_NEXT_VERSION=$(shell echo '$(RUST_LONG_VERSION)' | awk 'BEGIN{FS="."} {print $$1"."($$2)+1}')
LIBSTD_PKG := libstd-rust-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# Let rustbuild control whether LLVM is compiled with debug symbols, rather
# than compiling with debug symbols unconditionally, which will fail on
# 32-bit architectures
CFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
CXXFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')

# for dh_install substitution variable
export RUST_LONG_VERSION
export RUST_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# # Use system LLVM (comment out to use vendored LLVM)
# LLVM_VERSION = 19
# OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
# # used by the upstream profiler build script
# CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
# LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
# ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
# # Clang per-target layout
# export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
# else
# # Clang legacy layout
# CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
# ifeq ($(DEB_HOST_ARCH),armhf)
# CLANG_RT_ARCH := armhf
# endif
# export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
# endif
# Cargo-specific flags
export LIBSSH2_SYS_USE_PKG_CONFIG=1
export PKG_CONFIG=pkg-config
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH),riscv64)
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := -j 4
endif
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

# autopkgtest-related logic
ifneq (,$(RUST_TEST_SELFBUILD))
RUST_BOOTSTRAP_DIR = /usr/lib/rust-$(RUST_VERSION)
endif

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_BOOTSTRAP_DIR))
        RUST_LIBRARY_PATH := $(RUST_BOOTSTRAP_DIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_BOOTSTRAP_DIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := false

BUILD_WINDOWS := false

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

# List generated files
FILES_TO_PRECONFIGURE := $(wildcard debian/*.in)
FILES_TO_PRECONFIGURE_OUT := $(subst X.Y,$(RUST_VERSION),\
  $(filter-out debian/control,\
    $(patsubst %.in,%,$(FILES_TO_PRECONFIGURE))\
  )\
)
DEFINED_SRC_NAME = $(shell dpkg-parsechangelog -S Source)
DEFINED_SRC_VERSION = $(shell cut -f1 -d' ' < $(CURDIR)/version)

%:

## rustc-1.82 1.82.0+dfsg0ubuntu0

=== src/llvm-project/lldb/test/API/macosx/posix_spawn/Makefile ===
EXE := fat.out
LIPO=lipo

include Makefile.rules

all: fat.out

x86_64.out: x86_64.c
	$(CC) -isysroot $(SDKROOT) -target x86_64-apple-macosx10.9 -o x86_64.out $<

x86_64h.out: x86_64h.c
	$(CC) -isysroot $(SDKROOT) -target x86_64h-apple-macosx10.9 -o x86_64h.out $<

arm64.out: arm64.c
	$(CC) -isysroot $(SDKROOT) -target arm64-apple-macosx10.9 -o arm64.out $<

fat.out: x86_64.out x86_64h.out arm64.out
	$(LIPO) -o fat.out -create $^

=== src/llvm-project/lldb/test/API/functionalities/data-formatter/data-formatter-stl/libcxx/shared_ptr/Makefile ===
CXX_SOURCES := main.cpp

USE_LIBCPP := 1

# We need debug info tuning for lldb in order to emit the preferred name for
# std::string. See https://reviews.llvm.org/D145803.
CXXFLAGS_EXTRAS := -std=c++14 -glldb
include Makefile.rules

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Build-Depends:
  debhelper (>= 9),
  debhelper-compat (= 13),
+ dh-cargo (>= 28ubuntu1~),
  dpkg-dev (>= 1.17.14),
  python3:native,
  cargo-1.81 | cargo-1.82 <!pkg.rustc.dlstage0>,
@@ -28,6 +29,9 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
+ libgit2-dev (>= 1.7.2~~),
+ libgit2-dev (<< 1.8~~),
+ libhttp-parser-dev,
  libsqlite3-dev,
 # Required for llvm build
  autotools-dev,

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,6 @@
 # endif
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
-export PKG_CONFIG=pkg-config
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH),riscv64)
 NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## rustc-1.82 1.82.0+dfsg0ubuntu1

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,11 @@
  python3:native,
  cargo-1.81 | cargo-1.82 <!pkg.rustc.dlstage0>,
  rustc-1.81 | rustc-1.82 <!pkg.rustc.dlstage0>,
- cmake (>= 3.20) | cmake3 (>= 3.20),
+ llvm-19-dev:native,
+ llvm-19-tools:native,
+ libclang-rt-19-dev (>= 1:19.1.2),
+ libclang-common-19-dev (>= 1:19.1.2),
+ cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
  pkgconf,
 # this is sometimes needed by rustc_llvm
@@ -29,14 +33,10 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.7.2~~),
- libgit2-dev (<< 1.8~~),
+ libgit2-dev (>= 1.9.0~~),
+ libgit2-dev (<< 1.10~~),
  libhttp-parser-dev,
  libsqlite3-dev,
-# Required for llvm build
- autotools-dev,
- m4,
- ninja-build,
 # test dependencies:
  binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
  git <!nocheck>,
@@ -54,6 +54,7 @@
  curl <pkg.rustc.dlstage0>,
  ca-certificates <pkg.rustc.dlstage0>,
 Build-Depends-Indep:
+ clang-19:native,
  libssl-dev,
 Build-Conflicts: gdb-minimal (<< 8.1-0ubuntu6) <!nocheck>
 Standards-Version: 4.6.2

## rustc-1.82 1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1trisquel0

=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1trisquel0) ecne-backports; urgency=medium

  * Adding package as a dependency for newer abrowser releases.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 27 May 2025 12:46:32 +0000

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1) noble; urgency=medium

  * Backport to Noble (LP: #2088229)
    - d/control.in: downgrade to use libgit2 1.7.x
    - d/control: relax LLVM 19.1.2+ requirements to LLVM 19.1.1+
 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 06 Mar 2025 06:01:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rustc-1.82
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Ximin Luo <infinity0@debian.org>,
@@ -19,8 +19,8 @@
  rustc-1.81 | rustc-1.82 <!pkg.rustc.dlstage0>,
  llvm-19-dev:native,
  llvm-19-tools:native,
- libclang-rt-19-dev (>= 1:19.1.2),
- libclang-common-19-dev (>= 1:19.1.2),
+ libclang-rt-19-dev (>= 1:19.1.1),
+ libclang-common-19-dev (>= 1:19.1.1),
  cmake (>= 3.0) | cmake3,
 # needed by some vendor crates
  pkgconf,
@@ -33,8 +33,8 @@
  bash-completion,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.9.0~~),
- libgit2-dev (<< 1.10~~),
+ libgit2-dev (>= 1.7.0),
+ libgit2-dev (<< 1.8~~),
  libhttp-parser-dev,
  libsqlite3-dev,
 # test dependencies:

## rustc-1.82 1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1+11.0trisquel0

=== debian/changelog ===
rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu0.24.04.1+11.0trisquel0) aramo-backports; urgency=medium

  * Adding package as a dependency for newer abrowser releases.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 19 Jun 2025 21:19:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # The build regressed back when LTO was systematized in Ubuntu.
 # This should be periodically revisited.
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
+export PKG_CONFIG=/usr/bin/pkg-config
 
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/vendor.mk
@@ -34,42 +35,47 @@
 # for dh_install substitution variable
 export DEB_HOST_RUST_TYPE
 
-# Let rustbuild control whether LLVM is compiled with debug symbols, rather
-# than compiling with debug symbols unconditionally, which will fail on
-# 32-bit architectures
-CFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
-CXXFLAGS := $(shell echo $(CFLAGS) | sed -e 's/\-g//')
-
 # for dh_install substitution variable
 export RUST_LONG_VERSION
 export RUST_VERSION
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 
-# # Use system LLVM (comment out to use vendored LLVM)
-# LLVM_VERSION = 19
-# OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
-# # used by the upstream profiler build script
-# CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
-# LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
-# ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
-# # Clang per-target layout
-# export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
-# else
-# # Clang legacy layout
-# CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
-# ifeq ($(DEB_HOST_ARCH),armhf)
-# CLANG_RT_ARCH := armhf
-# endif
-# export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
-# endif
+# Use system LLVM (comment out to use vendored LLVM)
+LLVM_VERSION = 19
+OLD_LLVM_VERSION = $(shell echo "$$(($(LLVM_VERSION)-1))")
+# used by the upstream profiler build script
+CLANG_RT_TRIPLE := $(shell llvm-config-$(LLVM_VERSION) --host-target)
+LLVM_PROFILER_RT_LIB = /usr/lib/clang/$(LLVM_VERSION)/lib/$(CLANG_RT_TRIPLE)/libclang_rt.profile.a
+ifneq ($(wildcard $(LLVM_PROFILER_RT_LIB)),)
+# Clang per-target layout
+export LLVM_PROFILER_RT_LIB := /../../$(LLVM_PROFILER_RT_LIB)
+else
+# Clang legacy layout
+CLANG_RT_ARCH := $(shell echo '$(CLANG_RT_TRIPLE)' | cut -f1 -d-)
+ifeq ($(DEB_HOST_ARCH),armhf)
+CLANG_RT_ARCH := armhf
+endif
+export LLVM_PROFILER_RT_LIB := /usr/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
+endif
 # Cargo-specific flags
 export LIBSSH2_SYS_USE_PKG_CONFIG=1
+# Make it easier to test against a custom LLVM
+ifneq (,$(LLVM_DESTDIR))
+LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
+LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
+export LD_LIBRARY_PATH
+endif
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH),riscv64)
 NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 else
+ifeq ($(DEB_HOST_ARCH),amd64)
+NJOBS := -j 8
+else
 NJOBS := -j 4
+endif
 endif
 endif
 RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
@@ -194,6 +200,3 @@
   )\
 )
 DEFINED_SRC_NAME = $(shell dpkg-parsechangelog -S Source)
-DEFINED_SRC_VERSION = $(shell cut -f1 -d' ' < $(CURDIR)/version)
-
-%:
